> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/powershell-commands/new-rdmcloudvaultaccess.md).

# New-RDMCloudVaultAccess

New-RDMCloudVaultAccess creates a new Devolutions Cloud vault permission assignment object for a user, user group, or application identity.

### Synopsis

Create a new Devolutions Cloud vault permission assignment object.

### Syntax

#### User

```
New-RDMCloudVaultAccess [-User] <PSCloudUserInfo> [[-Role] <string>]
 [-ForcePromptAnswer <DialogResult[]>] [<CommonParameters>]
```

#### UserGroup

```
New-RDMCloudVaultAccess [-UserGroup] <PSRoleInfo> [[-Role] <string>]
 [-ForcePromptAnswer <DialogResult[]>] [<CommonParameters>]
```

#### ApplicationIdentity

```
New-RDMCloudVaultAccess [-ApplicationIdentity] <PSApplicationIdentityInfo> [[-Role] <string>]
 [-ForcePromptAnswer <DialogResult[]>] [<CommonParameters>]
```

### Description

Creates a new PSVaultPermissionInfo object for a given user, user group, or application identity. Optionally seeds the permission flags from a predefined vault role. The returned object can be modified and then passed to Set-RDMCloudVaultAccess to apply the permissions to a vault.

### Examples

#### Example 1

```powershell
PS C:\> $vault = Get-RDMVault -Name "MyVault"
PS C:\> $user = Get-RDMUser -Name "MyUser"
PS C:\> $readerPerm = New-RDMCloudVaultAccess -User $user -Role Readers
PS C:\> Set-RDMCloudVaultAccess -Vault $vault -Permissions @($readerPerm)
```

Creates a Readers role permission for a user and applies it to a vault.

#### Example 2

```powershell
PS C:\> $vault = Get-RDMVault -Name "MyVault"
PS C:\> $group = Get-RDMUserGroup -Name "MyGroup"
PS C:\> $customPerm = New-RDMCloudVaultAccess -UserGroup $group
PS C:\> $customPerm.ViewEntries = $true
PS C:\> $customPerm.ViewPassword = $true
PS C:\> Set-RDMCloudVaultAccess -Vault $vault -Permissions @($customPerm)
```

Creates a custom permission for a user group with specific flags enabled and applies it to a vault.

### Parameters

#### -ApplicationIdentity

Application identity to create a permission assignment for.

```yaml
Type: RemoteDesktopManager.PowerShellModule.PSOutputObject.PSApplicationIdentityInfo
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: ApplicationIdentity
  Position: 0
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -ForcePromptAnswer

Switch to use with caution. It will automatically answer prompt asking yes/no, yes/no/cancel, or ok/cancel questions. In case of multiple prompts, multiple values can be passed to this parameter. Here are the accepted values:

* Yes: Accept the prompt. Cover the OK and Automatic value.
* No: Refuse the yes/no/cancel prompt. "Cancel" is the fallback option if there is no "No" option.
* Cancel: Cancel the yes/no/cancel prompt. "No" is the fallback option if there is no "Cancel" option.

```yaml
Type: System.Windows.Forms.DialogResult[]
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Role

Predefined vault role to seed the permission flags from.

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 1
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -User

User to create a permission assignment for.

```yaml
Type: RemoteDesktopManager.PowerShellModule.PSOutputObject.PSCloudUserInfo
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: User
  Position: 0
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -UserGroup

User group to create a permission assignment for.

```yaml
Type: RemoteDesktopManager.PowerShellModule.PSOutputObject.PSRoleInfo
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: UserGroup
  Position: 0
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

This cmdlet supports the common parameters: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction, and -WarningVariable. For more information, see [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Outputs

#### RemoteDesktopManager.PowerShellModule.PSOutputObject.PSVaultPermissionInfo

### Notes

For more information, type "Get-Help New-RDMCloudVaultAccess -detailed". For technical information, type "Get-Help New-RDMCloudVaultAccess -full".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell/powershell-commands/new-rdmcloudvaultaccess.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
